:root {
  --dark-background: #333;
  --light-background: #f3f3f3;
  --primary: red;
}

body {
  margin: 0;
  padding: 0;
}

h1 {
  color: var(--primary);
}

.container {
  display: flex;
  align-items: center;
  justify-content: space-between;

  width: 100vw;
  height: 100vh; /* viewport height */
  margin-bottom: 5vh;
}

.dark .container {
  background-color: var(--dark-background);
}

.light .container {
  background-color: var(--light-background);
}

.container .box {
  width: 300px;
  height: 300px;
  border: 10px solid teal;
}

/* Especificidad  */
.dark .box-1 {
  background-color: tomato;
}
.dark .box-2 {
  background-color: aquamarine;
}
.dark .box-3 {
  background-color: crimson;
}

.dark .box-3:hover {
  background-color: rgb(255, 38, 82);
}

.light .box-1 {
  background-color: rgb(250, 72, 41);
}
.light .box-2 {
  background-color: rgb(41, 255, 184);
}
.light .box-3 {
  background-color: rgb(255, 38, 82);
}

p {
  color: var(--primary);
}

.grow-1 {
  flex-grow: 1;
}

.grow-3 {
  flex-grow: 3;
}

.back-to-top {
  width: 75px;
  height: 75px;
  background: url(/img/up.png) no-repeat;
  background-size: contain;
  padding: 0;
  border: 0;
  border-radius: 50%;
  overflow: hidden;

  position: fixed; /* static relative absolute fixed */
  /*
    top
    bottom
    left
    right 
  */
  bottom: 25px;
  right: 25px;
}

.back-to-top a:hover {
  background-color: rgba(0, 0, 0, 0.4);
}

.back-to-top a {
  display: inline-block;
  height: 100%;
  width: 100%;
}
